> ## Documentation Index
> Fetch the complete documentation index at: https://api.monument.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check for pre-existing tenant

> Checks if a tenant exists with this email. If so, sends a verification code.



## OpenAPI

````yaml /openapi/shopping-openapi.json post /shopping/{portfolio}/v1/facilities/tenant/check-preexisting
openapi: 3.0.0
info:
  title: Monument Shopping API
  description: Monument Shopping API
  version: '1.0'
  contact: {}
servers:
  - url: https://public-api.prd.monument.io
    description: Production
  - url: https://public-api.stg.monument.io
    description: Staging
security: []
tags:
  - name: Facilities
    description: Facility listing, details, and configuration
  - name: Leads
    description: Lead creation, updates, status, and pre-existing tenant validation
  - name: Shopping Cart
    description: Cart operations and access plans
  - name: Unit Groups
    description: Unit group details and taxes
  - name: Units
    description: Unit and gate access code retrieval
  - name: Payments
    description: Payment profiles and processor information
  - name: Brands
    description: Branding configuration and brand-scoped facilities
  - name: Coverages
    description: Coverage options and private coverage info
  - name: Leases
    description: Lease signing redirects
  - name: Organizations
    description: Portfolio organization information
  - name: Lead Marketing Sources
    description: Marketing source listing
paths:
  /shopping/{portfolio}/v1/facilities/tenant/check-preexisting:
    post:
      tags:
        - Facilities
        - Leads
      summary: Check for pre-existing tenant
      description: >-
        Checks if a tenant exists with this email. If so, sends a verification
        code.
      operationId: PublicApiFacilitiesController_createValidationCode
      parameters:
        - name: portfolio
          required: true
          in: path
          schema:
            type: string
        - in: header
          required: true
          name: x-api-key
          schema:
            example: monument-2230012-2312321
            description: >-
              Api key required to authenticate your request. Please reach out to
              monument for a key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckPreexistingTenantRequestDto'
      responses:
        '201':
          description: >-
            Details to display to the lead after they have been converted to a
            tenant
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckPrexistingTenantResult'
components:
  schemas:
    CheckPreexistingTenantRequestDto:
      type: object
      properties:
        email:
          type: string
        facilityUuid:
          type: string
          format: uuid
      required:
        - email
    CheckPrexistingTenantResult:
      type: object
      properties:
        exists:
          type: boolean
          description: True if a tenant with this email already exists for this facility
        expiration:
          format: date-time
          type: string
          description: Expiration time of the validation code sent to the tenant
      required:
        - exists

````